Skip to main content
POST
cURL

Field support per integration

Please ensure the query parameter environmentName is accurately populated with the appropriate environment. You can obtain this value by using the GET Environments endpoint available under the Authentication section.
Supported request parameters:
string
string
string
enum
The currency field supports ISO 4217 (3-letter codes). For details visit the Standardized Data section.
string
For date format details visit the Standardized Data section
LineItem[]
string
For date format details visit the Standardized Data section
string
enum
Available options: OPEN, CLOSED
number
number

Headers

X-API-KEY
string
required

API key

Example:

"example value"

X-ACCOUNT-KEY
string
required

Account key

Example:

"example value"

Query Parameters

companyId
string
environmentName
string

Body

application/json
addresses
object[]
billingContactId
string
Example:

"eaa28f49-6028-4b6e-bb12-d8f6278073fc"

comment
string
Example:

"Due today"

contactId
string
Example:

"eaa28f49-6028-4b6e-bb12-d8f6278073fc"

currency
enum<string>
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYR,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GQE,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZM,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VEB,
VND,
VUV,
WST,
XAF,
XCD,
XDR,
XOF,
XPF,
YER,
ZAR,
ZMK,
ZWR
Example:

"EUR"

deliveryDate
string
Example:

"2021-01-01T00:00:00Z"

lineItems
object[]
oneLineAddress
string
Example:

"Main street 45, Berlin"

orderDate
string
Example:

"2021-01-01T00:00:00Z"

projectId
string
Example:

"1"

shippingContactId
string
Example:

"eaa28f49-6028-4b6e-bb12-d8f6278073fc"

status
enum<string>
Available options:
OPEN,
CLOSED
Example:

"OPEN"

totalDiscountAmount
string

Total discount applied, in the document currency.

Example:

10

totalDiscountPercentage
string

Total discount applied, as a percentage.

Example:

10

totalGrossAmount
string

Gross total — the net amount plus tax (the total payable, including VAT).

Example:

109

totalNetAmount
string

Net total — the sum of all line amounts before tax (excluding VAT).

Example:

100

totalTaxAmount
string

Tax (VAT) total — the difference between the gross and net totals.

Example:

19

version
string
Example:

"1"

Response

200 - application/json
meta
object
data
object
Last modified on November 5, 2026